ia64/xen-unstable

view tools/check/check_curl_devel @ 6385:f34e732ed4bf

Xenstore testsuite robustness: save output rather than rerun on failure.
"make check" reruns a test which fails with more verbosity. If the test
fails intermittently, that doesn't work well: save the output and simply
dump it if the test fails.
Signed-off-by: Rusty Russell <rusty@rustcorp.com.au>
Signed-off-by: Christian Limpach <Christian.Limpach@cl.cam.ac.uk>
author cl349@firebug.cl.cam.ac.uk
date Tue Aug 23 19:58:59 2005 +0000 (2005-08-23)
parents a83ac0806d6b
children
line source
1 #!/bin/bash
2 # CHECK-BUILD
4 function error {
5 echo 'Check for libcurl includes failed.'
6 exit 1
7 }
9 set -e
10 [ -e /usr/include/curl ] || error
11 [ -e /usr/include/curl/curl.h ] || error